: Search web archives

API: loc.gov:library-of-congress-api
Endpoint: /web-archives/
Response format: application/json
Auth: none
Method: GET
Last Status: 200
Latency: 926ms

Description

Search and browse web archive materials from the Library of Congress collections.

Parameters (4)

c (integer, query, optional, default: 25)

Count/items per page

fo (string, query, optional, default: json)

Output format

Constraints: {'enum': ['json', 'yaml']}

q (string, query, optional)

Search term

sp (integer, query, optional)

Start page number

Examples (1)

Search web archives collection probe-gate
curl 'https://www.loc.gov/web-archives/?fo=json&c=10'
import requests

resp = requests.get(
    "https://www.loc.gov/web-archives/",
    params={
        'fo': 'json',
        'c': '10',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("library-of-congress")
result = api.fetch("web-archives/", fo="json", c=10)

for item in result:
    print(item)
const resp = await fetch("https://www.loc.gov/web-archives/?fo=json&c=10");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 00:07:01.676510 200 926ms
2026-04-15 01:27:44.051298 200 671ms
2026-04-14 00:30:11.033656 200 923ms
2026-04-12 13:09:00.203745 200 868ms
2026-04-10 00:24:07.556594 ERR
2026-04-09 02:48:20.486982 ERR
2026-04-08 07:09:43.668037 ERR
2026-04-07 01:02:33.346984 200 977ms
2026-04-05 19:39:04.066941 200 199ms
2026-04-05 01:55:38.218025 200 941ms
2026-04-04 03:08:20.176681 200 834ms
2026-04-03 12:49:57.118057 200 807ms
2026-03-30 03:02:29.238272 200 150ms
2026-03-29 13:03:09.020760 200 1179ms